searchData={"items":[{"type":"module","title":"CozyEnv","doc":"Helpers for handling OS environment variables.\n\nIt helps to:\n\n  * cast values of environment variables\n  * provide user-friendly error messages","ref":"CozyEnv.html"},{"type":"function","title":"CozyEnv.fetch_env!/1","doc":"","ref":"CozyEnv.html#fetch_env!/1"},{"type":"function","title":"CozyEnv.fetch_env!/2","doc":"","ref":"CozyEnv.html#fetch_env!/2"},{"type":"function","title":"CozyEnv.fetch_env!/3","doc":"Gets the value of the given environment variable, and casts it into given type.\n\nIf the environment variable is not set, raises an error.","ref":"CozyEnv.html#fetch_env!/3"},{"type":"function","title":"Examples - CozyEnv.fetch_env!/3","doc":"iex> CozyEnv.fetch_env!(\"NOT_SET\", :boolean)\n    ** (CozyEnv.EnvError) environment variable NOT_SET is missing\n        (cozy_env) lib/cozy_env.ex:134: CozyEnv.fetch_env!/3\n        iex:1: (file)\n\n    # export PHX_SERVER=true\n    iex> CozyEnv.fetch_env!(\"PHX_SERVER\", :boolean)\n    true\n\n    # export DB_POOL_SIZE=10\n    iex> CozyEnv.fetch_env!(\"DB_POOL_SIZE\", :integer)\n    10\n\n    # export PERCENT=0.95\n    iex> CozyEnv.fetch_env!(\"PERCENT\", :float)\n    0.95\n\n    # export USER=billy\n    iex> CozyEnv.fetch_env!(\"USER\", :string)\n    \"billy\"\n\n    # export USER=billy\n    iex> CozyEnv.fetch_env!(\"USER\", :atom)\n    :billy","ref":"CozyEnv.html#fetch_env!/3-examples"},{"type":"function","title":"CozyEnv.get_env/1","doc":"","ref":"CozyEnv.html#get_env/1"},{"type":"function","title":"CozyEnv.get_env/2","doc":"Gets the value of the given environment variable, and casts it into given type.\n\nIf the environment variable is not set, returns `nil`.","ref":"CozyEnv.html#get_env/2"},{"type":"function","title":"Examples - CozyEnv.get_env/2","doc":"iex> CozyEnv.get_env(\"NOT_SET\", :boolean)\n    nil\n\n    # export PHX_SERVER=true\n    iex> CozyEnv.get_env(\"PHX_SERVER\", :boolean)\n    true\n\n    # export DB_POOL_SIZE=10\n    iex> CozyEnv.get_env(\"DB_POOL_SIZE\", :integer)\n    10\n\n    # export PERCENT=0.95\n    iex> CozyEnv.get_env(\"PERCENT\", :float)\n    0.95\n\n    # export USER=billy\n    iex> CozyEnv.get_env(\"USER\", :string)\n    \"billy\"\n\n    # export USER=billy\n    iex> CozyEnv.get_env(\"USER\", :atom)\n    :billy","ref":"CozyEnv.html#get_env/2-examples"},{"type":"type","title":"CozyEnv.data_type/0","doc":"","ref":"CozyEnv.html#t:data_type/0"},{"type":"type","title":"CozyEnv.option/0","doc":"","ref":"CozyEnv.html#t:option/0"},{"type":"type","title":"CozyEnv.options/0","doc":"","ref":"CozyEnv.html#t:options/0"},{"type":"type","title":"CozyEnv.result/0","doc":"","ref":"CozyEnv.html#t:result/0"},{"type":"exception","title":"CozyEnv.EnvError","doc":"","ref":"CozyEnv.EnvError.html"},{"type":"extras","title":"CozyEnv","doc":"# CozyEnv\n\n[![CI](https://github.com/cozy-elixir/cozy_env/actions/workflows/ci.yml/badge.svg)](https://github.com/cozy-elixir/cozy_env/actions/workflows/ci.yml)\n[![Hex.pm](https://img.shields.io/hexpm/v/cozy_env.svg)](https://hex.pm/packages/cozy_env)\n[![built with Nix](https://img.shields.io/badge/built%20with%20Nix-5277C3?logo=nixos&logoColor=white)](https://builtwithnix.org)\n\n> Helpers for handling OS environment variables.\n\nIt helps to:\n\n- cast values of environment variables\n- provide user-friendly error messages\n- ...","ref":"readme.html"},{"type":"extras","title":"Installation - CozyEnv","doc":"Add `:cozy_env` to the list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:cozy_env,  }\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - CozyEnv","doc":"For more information, see the [documentation](https://hexdocs.pm/cozy_env).","ref":"readme.html#usage"},{"type":"extras","title":"License - CozyEnv","doc":"Apache License 2.0","ref":"readme.html#license"}],"content_type":"text/markdown"}